# Search Post Reactions by URL

{% tabs %}
{% tab title="Curl" %}

```bash
cURL 'https://api.enrich.so/v1/api/search-reaction-by-url?post_url=https://www.linkedin.com/posts/marclouvion_ive-created-a-monster-datafast-realtime-ugcPost-7310642749228085248--KfN/&page=1&reaction_type=like' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const axios = require('axios');

axios.get('https://api.enrich.so/v1/api/search-reaction-by-url?post_url=https://www.linkedin.com/posts/marclouvion_ive-created-a-monster-datafast-realtime-ugcPost-7310642749228085248--KfN/&page=1&reaction_type=like', {
    headers: {accept: 'application/json', Authorization: 'Bearer <token>'}
})
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });// Some code
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
payload = {'post_url': 'https://www.linkedin.com/posts/marclouvion_ive-created-a-monster-datafast-realtime-ugcPost-7310642749228085248--KfN/', 'reaction_type': 'like', 'page': 1}
headers = {'accept': 'application/json', 'authorization': 'Bearer <token>'}
resp = requests.get('https://api.enrich.so/v1/api/search-reactions', params=payload, headers=headers)
print (resp.text)
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.enrich.so/v1/api/search-reaction-by-url?post_url=https://www.linkedin.com/posts/marclouvion_ive-created-a-monster-datafast-realtime-ugcPost-7310642749228085248--KfN/&page=1&reaction_type=like")
  .get()
  .addHeader("accept", "application/json")
  .addHeader("authorization", "Bearer <token>")
  .build();

Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.enrich.so/v1/api/search-reaction-by-url?post_url=https://www.linkedin.com/posts/marclouvion_ive-created-a-monster-datafast-realtime-ugcPost-7310642749228085248--KfN/&page=1&reaction_type=like")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["accept"] = 'application/json'
request["authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

{% endtab %}

{% tab title="Php" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.enrich.so/v1/api/search-reaction-by-url?post_url=https://www.linkedin.com/posts/marclouvion_ive-created-a-monster-datafast-realtime-ugcPost-7310642749228085248--KfN/&page=1&reaction_type=like",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "accept: application/json",
    "authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
"reaction\_type" can be one of "all", "love", "celebrate", "insightful", "funny"
{% endhint %}

{% hint style="info" %}
💡 **Hint**

Only LinkedIn post URLs in the following formats are accepted:

**UGC Post format:**

```
https://www.linkedin.com/posts/{author_slug}_{post-title}-ugcPost-{post_id}-{post_suffix}/
```

✅ Example:

```
https://www.linkedin.com/posts/marclouvion_ive-created-a-monster-datafast-realtime-ugcPost-7310642749228085248--KfN/
```

**Activity Post format:**

```
https://www.linkedin.com/posts/{author_slug}_{post-title}-activity-{post_id}-{post_suffix}/
```

✅ Example:

```
https://www.linkedin.com/posts/kgstrivers_javascript-interviewpdf-activity-7321374901855027200-qkvO/
```

The key identifiers are either `ugcPost-{post_id}` or `activity-{post_id}`.\
Query parameters (like `?utm_source=...`) are allowed and will be ignored during parsing.
{% endhint %}

## Example response

#### Status code: <mark style="color:green;">200 OK</mark>

```json
{
    "success": true,
    "message": "Reactions for post found.",
    "data": {
        "page": 1,
        "total_page": 31,
        "num": 10,
        "data": [
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Tugberk Bardak",
                    "sub_title": "Student",
                    "profile_id": "ACoAADMfgpMB8iqeDt0BLVZV-Jhou20Hb93duZo",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D4D03AQFN4OHzIEBsxA/profile-displayphoto-shrink_800_800/B4DZTD6klNGcAc-/0/1738453699893?e=1751500800&v=beta&t=GqidS-LsKvCd5ivnUWfZAQQyEnToHalIL--cKnM4dw0",
                    "li_url": "https://www.linkedin.com/in/ACoAADMfgpMB8iqeDt0BLVZV-Jhou20Hb93duZo"
                }
            },
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Jason Charles",
                    "sub_title": "Christian | Maverick Founder | Polymath | Polyglot/Multidomain developer | Serial Entrepreneur | Algorithmic Trader",
                    "profile_id": "ACoAADwdS58BJDyQL_vPdqztk4I9wSIVoX6AaHE",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D4E03AQHwr7PRWU8JRw/profile-displayphoto-shrink_800_800/B4EZQ8XTjCHAAk-/0/1736179531823?e=1751500800&v=beta&t=aDjhCgzZtKeKdR-L3O4Ps7E_uSFlxLZbcSfZpAZsEsE",
                    "li_url": "https://www.linkedin.com/in/ACoAADwdS58BJDyQL_vPdqztk4I9wSIVoX6AaHE"
                }
            },
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Vijayan R.",
                    "sub_title": "Frappe and ErpNext Developer @ RxBB.io | Full Stack Developer",
                    "profile_id": "ACoAADIySmABh3rloZ_GdrxXLit3bWDk_kYbCF0",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D5635AQFfD8LvwRkIcw/profile-framedphoto-shrink_800_800/B56ZZh4uEBHAAg-/0/1745398981250?e=1746532800&v=beta&t=bC78AP6xjgsci2cfaN7vGv5jiWZC_XU9w281k9aHPAk",
                    "li_url": "https://www.linkedin.com/in/ACoAADIySmABh3rloZ_GdrxXLit3bWDk_kYbCF0"
                }
            },
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Rajasekhar Julakanti",
                    "sub_title": "Integration Manager @ Cervello | Technology Leadership",
                    "profile_id": "ACoAAArfW3oBhu6-P4uoPOZfXUcXoDNk0lttMKw",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D5635AQFWeKkWRpnDlg/profile-framedphoto-shrink_800_800/profile-framedphoto-shrink_800_800/0/1732848164417?e=1746532800&v=beta&t=U5582PigLJJPX6lA8bD4sbJj5fq7Z-mZY0KunDkRMwY",
                    "li_url": "https://www.linkedin.com/in/ACoAAArfW3oBhu6-P4uoPOZfXUcXoDNk0lttMKw"
                }
            },
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Arnaud Lopez",
                    "sub_title": "Senior Product Manager",
                    "profile_id": "ACoAAATtE-YB0lFvoMr4dKdp90YTv8c2x3V2KRE",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D4E03AQHNxqdcHAEAvA/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1698073812577?e=1751500800&v=beta&t=7w3SKnso5voH4EjtQJrCmjGc71jQELIZAliTUInghfU",
                    "li_url": "https://www.linkedin.com/in/ACoAAATtE-YB0lFvoMr4dKdp90YTv8c2x3V2KRE"
                }
            },
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Sa Di",
                    "sub_title": "Listing manager at Bitmart.",
                    "profile_id": "ACoAAEaHojMBN5CH5ue2GnU2VPtf-hQjVU63wks",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D5603AQEQ5H84dJUO6w/profile-displayphoto-shrink_800_800/B56ZWFNHe0GoAc-/0/1741696566237?e=1751500800&v=beta&t=yYyzDmZEbdbpH79Ev54_TngkDGvhsFYRAS2sjNhF_ts",
                    "li_url": "https://www.linkedin.com/in/ACoAAEaHojMBN5CH5ue2GnU2VPtf-hQjVU63wks"
                }
            },
            {
                "reaction_type": "empathy",
                "reactor": {
                    "name": "Rishabh Rai",
                    "sub_title": "I build software that converts",
                    "profile_id": "ACoAADEtTkUBsTkfzLAiNku-r7jxiRxaM1iP2Y4",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D4D03AQFx326LnlgByg/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1664877149955?e=1751500800&v=beta&t=2LJGxeaUpeLvlFI5zj7CAsUBxGholz4ZfLXZ-EIJt-o",
                    "li_url": "https://www.linkedin.com/in/ACoAADEtTkUBsTkfzLAiNku-r7jxiRxaM1iP2Y4"
                }
            },
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Salman Maarouf",
                    "sub_title": "CS undergrad @ RMIT university",
                    "profile_id": "ACoAADo-p0cBWGURi774H1eBuZYyZtTagNVzHTc",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D5603AQH6qFrq_TNAQw/profile-displayphoto-shrink_800_800/B56ZWvPyLrHoAc-/0/1742401906733?e=1751500800&v=beta&t=ODe3LnIrrdBfYn1NTVUuhFk7TpeZovKOluBke-qkt-4",
                    "li_url": "https://www.linkedin.com/in/ACoAADo-p0cBWGURi774H1eBuZYyZtTagNVzHTc"
                }
            },
            {
                "reaction_type": "empathy",
                "reactor": {
                    "name": "Chingun Erdene-Ochir",
                    "sub_title": "Software Engineer | Cybersecurity Researcher | Comp Sci @Harvard @Stanford | PhD candidate",
                    "profile_id": "ACoAACQDI4gBchxC2SIfOC5oQSkEjji7Bawad7c",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D5603AQGf7T0yngX0cw/profile-displayphoto-shrink_800_800/B56ZY3LHhsGcAc-/0/1744682385864?e=1751500800&v=beta&t=mhajnvCCpoSxNOpdJ94GZUz9tcoG6JYAdbnmIwqGRG4",
                    "li_url": "https://www.linkedin.com/in/ACoAACQDI4gBchxC2SIfOC5oQSkEjji7Bawad7c"
                }
            },
            {
                "reaction_type": "like",
                "reactor": {
                    "name": "Drake Keith",
                    "sub_title": "Data Administration @ Intertek | MBA student in Business Administration/Project Management | CAMP training certified | BA Business Administration Graduate",
                    "profile_id": "ACoAAEDnepcB23vwko1CSysw7gQPjPyOPAnYdcc",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/D5603AQEirWn2nOdnsQ/profile-displayphoto-shrink_800_800/B56ZSIAWL7HwAc-/0/1737448582636?e=1751500800&v=beta&t=HAGvH24iF5yNE6bs4qG9b1ETtI4xlAXURmC66zJj_Sg",
                    "li_url": "https://www.linkedin.com/in/ACoAAEDnepcB23vwko1CSysw7gQPjPyOPAnYdcc"
                }
            }
        ]
    }
}
```

#### Status code: <mark style="color:red;">404 NOT FOUND</mark>

```
{
    "error": true,
    "message": "No Reactions found for provided post"
}
```
